ONVIF::Media::Elements::CreateProfile(3)

NAME
ONVIF::Media::Elements::CreateProfile

DESCRIPTION
Perl data type class for the XML Schema defined element CreateProfile from the namespace http://www.onvif.org/ver10/media/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Name

     $element->set_Name($data);
     $element->get_Name();

•   Token

     $element->set_Token($data);
     $element->get_Token();

METHODS

  new
 my $element = ONVIF::Media::Elements::CreateProfile->new($data);

Constructor. The following data structure may be passed to new():

 {
   Name => $some_value, # Name
   Token => $some_value, # ReferenceToken
 },

AUTHOR
Generated by SOAP::WSDL